package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Precipitation;
import com.lightinit.hsdatashow.entity.PrecipitationExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.PrecipitationResultModel;
import org.apache.ibatis.annotations.Param;

public interface PrecipitationMapper {
    long countByExample(PrecipitationExample example);

    int deleteByExample(PrecipitationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Precipitation record);

    int insertSelective(Precipitation record);

    List<Precipitation> selectByExample(PrecipitationExample example);

    Precipitation selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Precipitation record, @Param("example") PrecipitationExample example);

    int updateByExample(@Param("record") Precipitation record, @Param("example") PrecipitationExample example);

    int updateByPrimaryKeySelective(Precipitation record);

    int updateByPrimaryKey(Precipitation record);

    List<PrecipitationResultModel> getPrecipitation();
}